#include <stdio.h>
#include "ecadd.h"

long main (void)
{
	long stat;
	
	stat = InitCADD ();
	if (stat != 0) return stat;
	
	for (stat = 0; stat < 16; stat++){
		CaddGeneratedSoldier->GenerateSoldier (0, 1);
		CaddGeneratedSoldier->DisplaySoldierInfo (0);
	}
	
	FreeCADD ();
	return 0;
}